*- MAILMRGE.H
*- #DEFINEs for MAILMRGE.VCX

#DEFINE L_DEBUG .F.

*- localize these
#DEFINE C_STARTWORD60_LOC	" Microsoft Word ..."
#DEFINE C_STARTWORD20_LOC	" Microsoft Word 2.0..."
#DEFINE C_STARTWORD80_LOC	" Microsoft Word ..."
#DEFINE C_OPENDATA80_LOC	"  ..."
#DEFINE C_MMSAVEAS_LOC		"   :"
#DEFINE C_DFLTNAME_LOC		"mrgdata.txt"
#DEFINE C_DFLTDBF_LOC		"mrgdata.dbf"

#DEFINE E_NOOPENWORD_LOC	"   OLE  Word."
#DEFINE E_FILEERR_LOC		"  ."
#DEFINE E_NOMSWLAUNCH_LOC	"  Microsoft Word."
#DEFINE E_WRONGWORD_LOC		"   Microsoft Word.  ."
#DEFINE E_NOWORDERR_LOC		"Microsoft Word  Windows @1     ."
#DEFINE E_NOWORDMACERR_LOC	"Microsoft Word for  Macintosh 6.0     ."
#DEFINE E_MSWCOMMFAIL_LOC	"  .  MS Word   ..."
#DEFINE E_NODBC_LOC			"DBC     ODBC .      (free table) FoxPro."
#DEFINE E_DDEERR_LOC		"  DDE   .  DDE  @1."

*- error messages for bad values in MailMerge class
#DEFINE E_BADWORDPROC_LOC	"    word."
#DEFINE E_BADEXDOC_LOC		"  ."
#DEFINE E_BADMRGDATA_LOC	"     ."
#DEFINE E_BADTEMPLATE_LOC	"   Word template."
#DEFINE E_NODATA_LOC		"    ."
#DEFINE E_NOFIELDS_LOC		"    ."

#DEFINE E_ODBC1_LOC			"   ODBC.INI.    ODBC."
#DEFINE E_ODBC2_LOC			"   FoxPro ODBC .    ."
#DEFINE E_ODBC3_LOC			"    ODBC.INI."
#DEFINE E_ODBCDLL_LOC		"    ODBC."

#DEFINE E_NOOPENTBL_LOC		"   ,    .  Mailmerge ."
#DEFINE E_NOREPLACETBL_LOC	"    .  Mailmerge ."
#DEFINE E_NOAPPLESCRIPT_LOC	"AppleScript" + CHR(170) + "     .  Word      (Mail Merge)."

#DEFINE C_LOCATEDLL_LOC		"      ODBC .     ?"
#DEFINE C_NOVERIFYMSW_LOC	"      Microsoft Word.      ?"
#DEFINE C_COPYFOX2_LOC		"    ODBC    Visual FoxPro 3.0. "+;
							"        FoxPro 2.5 "+;
							"     ?"
#DEFINE C_COPYFOX3_LOC		"     . " + ;
							"      .  ?"
#DEFINE C_COPYPROMPT_LOC	"   :"	
#DEFINE C_ERROR_SQL_LOC		" SQL   . ,    ."
#DEFINE C_LOCATE_LOC		" "
#DEFINE C_ODBCOLDVER_LOC 	"   FoxPro ODBC   ."
#DEFINE C_EXCLDBC1_LOC		"Word        '"
#DEFINE C_EXCLDBC2_LOC		"'       (shared) .    MailMerge       ?"


*- don't localize these

*- if these are changed, also change in MAILMRGE.H
*- supported word procs/merge types
#DEFINE		N_WORD60		1
#DEFINE		N_WORD20		3		&& not supported in 5.0
#DEFINE		N_COMMADELIM	2

*- new/old doc
#DEFINE		N_NEW_DOC		1
#DEFINE		N_EXISTING_DOC	2

*- template types
#DEFINE		N_FORMLETTER	1
#DEFINE		N_LABEL			2
#DEFINE		N_ENVELOPE		3
#DEFINE		N_CATALOG		4

*- used in startword
#DEFINE C_MSWORDMAC		"Microsoft Word"
#DEFINE C_MSWORDEXE		"winword.exe"
#DEFINE C_MSWORDWIN		"Winword"
#DEFINE C_MSWORDCREATOR	"MSWD"

#DEFINE C_WORD2				"2.0"
#DEFINE C_WORD6				"6.0"
#DEFINE C_WORD6_OR_LATER	"6.0"
#DEFINE C_WORD8				"8.0"

*- MSW 2.0 values
#DEFINE C_WIN_SECT2			"Microsoft Word 2.0"

*- MSW 6.0 values
#DEFINE C_WIN_SECT6			"Microsoft Word"
#DEFINE C_WIN_MSW6INI		"Winword6.INI"

#DEFINE C_WIN_DIR			"programdir"

*- entry in Mac FoxPro settings file
#DEFINE C_FOXPROINI_MAC		"Visual Foxpro Settings"
#DEFINE C_WORD6ID			"Word6Loc"
#DEFINE C_MAILMRG_SECT		"Mailmerge"
#DEFINE C_WORDSETTINGS		"Word Settings (6)"

*- DDE Errors
#DEFINE N_BADCHANNELERR		 6
#DEFINE N_TIMEOUTERR		 9
#DEFINE N_NOCLIENTERR		13

*- AppleScript related errors
#DEFINE N_RUNSCRIPTFAIL		1921	&& VFP error numbers
#DEFINE N_SCRIPTERROR		1917

#DEFINE L_GETFILE			.T.
#DEFINE L_DONTGETFILE		.F.

#DEFINE K_HIGHTIMEOUT	20000
#DEFINE K_DFLTTIMEOUT	 2000

*- MSW 2.0 values
#DEFINE WIN_SECT2	"Microsoft Word 2.0"
#DEFINE WIN_DIR		"programdir"

*- MSW 6.0 values
#DEFINE WIN_SECT6	"Microsoft Word"
#DEFINE WIN_MSW6INI	"Winword6.INI"
#DEFINE WIN_6OBJ	"word.basic"

*- MSW 8.0 values
#DEFINE WIN_8OBJ	"word.application.8"

*- ODBC Driver info
#DEFINE K_TAB			CHR(9)
#DEFINE C_CRLF			CHR(13) + CHR(10)
#DEFINE C_CR			CHR(13)

#DEFINE K_TOOLONG		150		&& max length of a SQL statement for DDE
#DEFINE K_TRANSFER		1024 * 20

#DEFINE K_LOCALVIEW		1
#DEFINE K_REMOTEVIEW	2
#DEFINE K_TABLE			3

#DEFINE	DBFTYPE_30		48

#DEFINE EXT_DBF			"DBF"
#DEFINE EXT_TXT			"TXT"

******************************************************************************
* Used by GetOS and other methods
******************************************************************************
* Operating System codes
#DEFINE	OS_W32S				1
#DEFINE	OS_NT				2
#DEFINE	OS_WIN95			3
#DEFINE	OS_MAC				4
#DEFINE	OS_DOS				5
#DEFINE	OS_UNIX				6


#DEFINE REG_MSWDOC_KEY		"Word.Document"

#DEFINE	I_ENGLISH			1033			&& code for English

#DEFINE FOXODBC_ANY			"FoxPro"

#DEFINE I_WDDIALOGMAILMERGEHELPER	680		&& Word code for Mailmerge Helper dialog

*- registry codes
#DEFINE	ERROR_SUCCESS		0
#DEFINE	ERROR_NOINIFILE		-108	&& no DLL file used to check ODBC
#DEFINE	ERROR_NOINIENTRY	-109	&& no entry found in INI file (section)
#DEFINE	ERROR_FAILINI		-110	&& no entry found in INI file

*- eof  MAILMRGE.H
